## org.metaabm.act.validation
Interface AActValidator

    public interface AActValidator

A sample validator interface for `AAct`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateAllSources(org.eclipse.emf.common.util.EList<AAct> value)`
`boolean` `validateAllTargets(org.eclipse.emf.common.util.EList<AAct> value)`
`boolean` `validateGroup(AGroup value)`
`boolean` `validateReference(SAgent value)`
`boolean` `validateRootSelected(ASelect value)`
`boolean` `validateSelected(ASelect value)`
`boolean` `validateSources(org.eclipse.emf.common.util.EList<AAct> value)`
`boolean` `validateTargets(org.eclipse.emf.common.util.EList<AAct> value)`

Method Detail

### validate

    boolean validate()

### validateSources

    boolean validateSources(org.eclipse.emf.common.util.EList<AAct> value)

### validateTargets

    boolean validateTargets(org.eclipse.emf.common.util.EList<AAct> value)

### validateReference

    boolean validateReference(SAgent value)

### validateGroup

    boolean validateGroup(AGroup value)

### validateSelected

    boolean validateSelected(ASelect value)

### validateAllSources

    boolean validateAllSources(org.eclipse.emf.common.util.EList<AAct> value)

### validateAllTargets

    boolean validateAllTargets(org.eclipse.emf.common.util.EList<AAct> value)

### validateRootSelected

    boolean validateRootSelected(ASelect value)